Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(34)

Issue 5663180676136960: Make sure IE and Engine are actually being closed by custom action (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 3 months ago by Oleksandr
Modified:
5 years, 2 months ago
Reviewers:
Eric
Visibility:
Public.

Description

Make sure IE and Engine are actually being closed by custom action

Patch Set 1 #

Total comments: 8

Patch Set 2 : Use handle class for HMODULE. Add back a test for immersive case. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -18 lines) Patch
M installer/src/installer-lib/handle.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M installer/src/installer-lib/process.cpp View 1 3 chunks +4 lines, -3 lines 0 comments Download
M installer/src/installer-lib/test/process_test.cpp View 1 4 chunks +11 lines, -15 lines 0 comments Download
M src/plugin/AdblockPlusClient.cpp View 1 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 5
Oleksandr
5 years, 3 months ago (2014-06-20 22:34:31 UTC) #1
Oleksandr
We need to send the WM_ENDSESSION message to the IE frame window, which is hosted ...
5 years, 3 months ago (2014-06-20 22:36:05 UTC) #2
Eric
http://codereview.adblockplus.org/5663180676136960/diff/5629499534213120/installer/src/installer-lib/process.cpp File installer/src/installer-lib/process.cpp (right): http://codereview.adblockplus.org/5663180676136960/diff/5629499534213120/installer/src/installer-lib/process.cpp#newcode27 installer/src/installer-lib/process.cpp:27: HINSTANCE user32Dll = LoadLibrary(L"user32.dll"); What's the reason for a ...
5 years, 3 months ago (2014-06-25 15:08:50 UTC) #3
Oleksandr
http://codereview.adblockplus.org/5663180676136960/diff/5629499534213120/installer/src/installer-lib/process.cpp File installer/src/installer-lib/process.cpp (right): http://codereview.adblockplus.org/5663180676136960/diff/5629499534213120/installer/src/installer-lib/process.cpp#newcode27 installer/src/installer-lib/process.cpp:27: HINSTANCE user32Dll = LoadLibrary(L"user32.dll"); Why make assumptions? From MSDN ...
5 years, 3 months ago (2014-06-26 13:25:57 UTC) #4
Eric
5 years, 3 months ago (2014-07-18 16:49:22 UTC) #5
Patch set #2 LGTM
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5